
public class Employee extends Person
{
	private static final float MIN_HOURLY_WAGE = 7.89f;
	private static int nextAvailableEmployeeID = 0;
	private int employeeID;
	private float hourlyWage = MIN_HOURLY_WAGE; 
	public Employee(String name, int age, String sex, String pass)
	{
		super(name, age, sex, pass);
		employeeID = nextAvailableEmployeeID++;
		securityLevel = 5;
	}
	
	
	public int getEmployeeID()
	{
		return employeeID;
	}
	
	public void setHourlyWage(float newWage)
	{
		hourlyWage = newWage;
	}
	
}
